#!/bin/bash # 指定解释器
# webhook地址
api="https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=a9a79936-bbbb-4a20-a40e-c0bc01a83e8c"
# 参数
data='{"msgtype": "text", "agentid": 1, "text": {"content": "test66666"}}'
# 发送webhook请求
curl -X POST -H "Content-Type: application/json" -d "$data" "$api" # 使用 curl 命令向 webhook 地址发送请求
# 处理响应结果
if [ $? -eq 0 ]; then # 判断请求是否成功
  echo "请求成功" # 打印请求成功
else
  echo "请求失败" # 打印请求失败
fi
